Name:           nettee
Version:        0.1.9.1
Release:        5%{?dist}
Summary:        Network "tee" program

Group:          Applications/Internet
License:        GPLv2
URL:            http://saf.bio.caltech.edu/nettee.html
Source0:        ftp://saf.bio.caltech.edu/pub/software/linux_or_unix_tools/%{name}-%{version}.tar.gz
#Upstream has fixed this in the development version (0.2.0 beta)
Patch0:         %{name}-options.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
nettee is a network "tee" program.  It can typically transfer data between N
nodes at (nearly) the full bandwidth provided by the switch which connects 
them.  It is handy for cloning nodes or moving large database files.


%prep
%setup -q
%patch0 -p1


%build
%{__cc} %{optflags} -D_LARGEFILE64_SOURCE -o nettee nettee.c


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
#remove exec permissions from files in doc directory
chmod 644 *.sh


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE *.TXT nettee_man.html *.sh
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}


%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Fabian Affolter <fabian@bernewireless.net> - 0.1.9.1-1
- Updated to upstream version 0.1.9.1

* Sun Nov 09 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.9-3
- Changed removing of exec permissions

* Sat Nov 08 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.9-2
- Added patch from Till Maas
- Changed %%build section

* Thu Nov 06 2008 Fabian Affolter <fabian@bernewireless.net> - 0.1.9-1
- Initial package for Fedora
